Magick::Offset Class Reference

`#include <Geometry.h>`

## Public Member Functions

| Offset ()
| Offset (const char *offset_)
| Offset (const Offset &offset_)
| Offset (const std::string &offset_)
| Offset (ssize_t x_, ssize_t y_)
| ~Offset (void)
const Offset & | operator= (const char *offset_)
Offset & | operator= (const Offset &offset_)
const Offset & | operator= (const std::string &offset_)
ssize_t | x (void) const
ssize_t | y (void) const
| operator MagickCore::OffsetInfo () const

## Detailed Description

Definition at line 159 of file Geometry.h.

## Constructor & Destructor Documentation

Magick::Offset::Offset | ( | void |  | ) |

Definition at line 405 of file Geometry.cpp.

Magick::Offset::Offset | ( | const char * | offset_ | ) |

Definition at line 411 of file Geometry.cpp.

Magick::Offset::Offset | ( | const Offset & | offset_ | ) |

Definition at line 418 of file Geometry.cpp.

Magick::Offset::Offset | ( | const std::string & | offset_ | ) |

Definition at line 424 of file Geometry.cpp.

Magick::Offset::Offset | ( | ssize_t | x_,
|  | ssize_t | y_
| ) |  |

Definition at line 431 of file Geometry.cpp.

Magick::Offset::~Offset | ( | void |  | ) |

Definition at line 437 of file Geometry.cpp.

## Member Function Documentation

Magick::Offset::operator MagickCore::OffsetInfo | ( |  | ) | const

Definition at line 484 of file Geometry.cpp.

const Magick::Offset & Magick::Offset::operator= | ( | const char * | offset_ | ) |

Definition at line 441 of file Geometry.cpp.

Magick::Offset & Magick::Offset::operator= | ( | const Offset & | offset_ | ) |

Definition at line 457 of file Geometry.cpp.

const Magick::Offset & Magick::Offset::operator= | ( | const std::string & | offset_ | ) |

Definition at line 468 of file Geometry.cpp.

ssize_t Magick::Offset::x | ( | void |  | ) | const

Definition at line 474 of file Geometry.cpp.

Referenced by Magick::operator==().

ssize_t Magick::Offset::y | ( | void |  | ) | const

Definition at line 479 of file Geometry.cpp.

Referenced by Magick::operator==().

The documentation for this class was generated from the following files:

- Geometry.h
- Geometry.cpp